kamagra how much to take

SharePoint 2013 Setup – SQL Server Has An Unsupported Version

This is actually a fairly common error to run into. The scenario is pretty straightforward, I ran into it when running SharePoint 2013 on Windows 2008 R2 SP1 with all the update goodness installed and SQL Server 2008 R2 SP1 with CU 6 and all the rest of the additional shit required to install. Following, run the SP config wizard, and get to the point where you specify the database server / instance,  and boom you run into:

SQL server at domain\instance has an unsupported version [some version here]

Which is fine, pretty easy error. The part that might not make a ton of sense, or didn’t to me anyways, is I was at 10.50.2817.0 and it was bitching about 10.50.1600.1. Clearly, I am ahead on version increment so I shouldn’t hit that particular problem. But wait, it can get weirder. You can select one instance on the same server, and it will work, if you select a different instance it might fail!

The problem isn’t related to SharePoint, but how SQL server processes cumulative updates. Long story short, whenever you have multiple instances on a SQL box you need to reapply the patches after generating the new instance. For whatever reason it won’t automatically update. Which is a bunch of shit IMHO. So in essence, if you run into this, what I did to fix it was reapply  SP1, CU4 and CU11.

Share

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>